package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 报名方式 FREE 免费 CHARGE 收费
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum RegistrationMethodEnum implements BaseEnum<String, RegistrationMethodEnum> {

    FREE("免费"),
    CHARGE("收费")
    ;

    @EnumValue
    private String code;
    private String msg;

    RegistrationMethodEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
